%global pypi_name yarl

Name:           python-%{pypi_name}
Version:        1.17.1
Release:        %mkrel 1
Summary:        Python module to handle URLs
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/yarl/
Source0:        %{pypi_source}
BuildRequires:  gcc
BuildRequires:  python3-cython
BuildRequires:  python3-devel

%description
The module provides handy URL class for url parsing and changing.

%package -n python3-%{pypi_name}
Summary:        Python 3 module to handle URLs
Group:          Development/Python

%description -n python3-%{pypi_name}
The module provides handy URL class for url parsing and changing.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files yarl

# Checks are currently failing and disabled for now
%if 0
%check
pushd tests
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version}
popd
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGES.rst README.rst
%license LICENSE


%changelog
* Thu Nov 07 2024 wally <wally> 1.17.1-1.mga10
+ Revision: 2112889
- new version 1.17.1

* Tue Jul 30 2024 papoteur <papoteur> 1.9.4-1.mga10
+ Revision: 2082983
- new version 1.9.4

* Thu Dec 07 2023 wally <wally> 1.9.2-2.mga10
+ Revision: 2015255
- rebuild for py3.12

* Mon Nov 27 2023 wally <wally> 1.9.2-1.mga10
+ Revision: 2010385
- new version 1.9.2
- use %%pyproject_buildrequires

* Wed Sep 07 2022 neoclust <neoclust> 1.8.1-1.mga9
+ Revision: 1885441
- New version  1.8.1

* Sun Mar 27 2022 umeabot <umeabot> 1.7.2-2.mga9
+ Revision: 1829355
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 1.7.2-1.mga9
+ Revision: 1781593
- verison 1.7.2
- rebuild for python-3.10

* Thu Feb 17 2022 tv <tv> 1.6.3-2.mga9
+ Revision: 1778570
- Rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 1.6.3-1.mga9
+ Revision: 1707634
- new version: 1.6.3
- rebuild for python 3.9

* Wed Nov 11 2020 guillomovitch <guillomovitch> 1.6.2-1.mga8
+ Revision: 1644646
- new version 1.6.2

* Sun Feb 16 2020 umeabot <umeabot> 1.3.0-3.mga8
+ Revision: 1532502
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 1.3.0-2.mga8
+ Revision: 1442482
- rebuild for python-3.8

* Sun Apr 21 2019 wally <wally> 1.3.0-1.mga7
+ Revision: 1394261
- new version 1.3.0

* Tue Jan 08 2019 tv <tv> 0.10.2-5.mga7
+ Revision: 1351849
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.10.2-4.mga7
+ Revision: 1300624
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.10.2-3.mga7
+ Revision: 1135701
- Rebuild for python 3.6

* Sun May 14 2017 ngompa <ngompa> 0.10.2-2.mga6
+ Revision: 1101184
- Port to Mageia
- imported package python-yarl


* Tue May 09 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.10.2-1
- Update to 0.10.2

* Wed Mar 15 2017 Fabian Affolter <mail@fabian-affolter.ch> - 0.10.0-1
- Updaate to latest upstream release 0.10.0 (rhbz#1432279)

* Mon Feb 20 2017 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.8-1
- Updaate to latest upstream release 0.9.8 (rhbz#1423061)

* Thu Feb 16 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.6-1
- Update to 0.9.6

* Thu Feb 09 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.9.2-1
- Update to 0.9.2

* Wed Feb 08 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.9.1-1
- Update to 0.9.1

* Tue Feb 07 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.8.1-4
- Fix BRs

* Tue Feb 07 2017 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.1-3
- Update BR

* Fri Jan 27 2017 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.1-2
- Don't remove _quoting.c

* Sat Jan 21 2017 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.1-1
- Update to latest upstream release 0.8.1
- Remove _quoting.c

* Mon Nov 21 2016 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.1-2
- Update Source0, summary

* Fri Nov 18 2016 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.1-1
- Initial package
